# --------------------- #
# PREPARE
# --------------------- #
prepare:consul_cluster:init_plugins:
  extends: .cache:packer
  stage: prepare
  script:
    - packer init -only='consul-cluster.null.*' packer/consul
  interruptible: true

# --------------------- #
# HCL VALIDATE
# --------------------- #
hcl_validate:consul_cluster:validate_config:
  extends: .cache:packer
  stage: hcl_validate
  needs:
    - job: prepare:consul_cluster:init_plugins
      artifacts: true
  script:
    - packer init -only='consul-cluster.null.*' packer/consul
    - packer validate -syntax-only -only='consul-cluster.null.*' packer/consul
  interruptible: true